oh man - this is a big hassle - installing php on my pc running windows xp - got this at the bottom of my apache httpd.conf file:

# PHP5 module
LoadModule php5_module "c:/php/php5apache2_2.dll"
AddType application/x-httpd-php .php
PHPIniDir "C:/php"

then i cd to Apache2.2\bin - all is fine so far.

then i run: httpd -t

and i get this error:

"Cannot load php5apache2_2.dll into server -the specified module could not be found.

I've downloaded it an placed it here: c:php\

I still get the same error - please help - thanks
Who is Participating?
phillystyle123Connect With a Mentor Author Commented:
This was happening because I was using the wrong version of php. I'd downloaded a Vs9.

Download this version:

VC6 x86 Thread Safe (2010-Feb-24 15:33:12)

from here:

and it works great - 8 hours later I discovered this.
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.